| AOMedia AV1 Codec

aom_sb_simple_motion_features Struct Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Encoder

Features collected from the simple motion process. More...

`#include <aom_external_partition.h>`

## Data Fields
int | unit_length
| The block length of the simple motion process.
int | num_units
| The number of units inside the current superblock.
int | block_sse [64]
| Sum of squared error of each unit.
int | block_var [64]
| Variance of each unit.

## Detailed Description

Features collected from the simple motion process.

The simple motion process collects information by applying motion compensated prediction on each block. The block size is 16x16, which could be changed. If it is changed, update comments and the array size here.

The documentation for this struct was generated from the following file:

- aom/aom_external_partition.h